Subject: bug#23091: 25.0.92; :box face hang regression

From: [email-masked] (Phillip Lord)
Date: Tue, 22 Mar 2016 15:00:08 +0000

Aaron Jensen <[email-masked]> writes:

> While using the monokai theme and helm, a hang can be triggered with a
> setq header-line-format in a specific shape. The below is a repro from
> an emacs -Q. This does not repro in Emacs 24 or terminal emacs.
> I am on OS X.
> The hang does not repro if there is no :box in the face defined below.

I've replicated this bug. It does require all of the elements given.
Depending on the order of evaluation, it can lead to an instant hang, or
it can result in a slightly more gradual slow down.

Emacs is not actually hung -- it's running at 100% CPU. I've tried
debugging, and Emacs seems to be running through parts of the display
code.

Phil